[PACKAGE]: ../../raw/2.2.x/mkp/cisco_meraki-1.3.5-20240807.mkp "cisco_meraki-1.3.5-20240807.mkp"
[SDK]: ../../raw/2.2.x/mkp/MerakiSDK-1.46.0-20240516.mkp "MerakiSDK-1.46.0-20240516.mkpp"
# Cisco Meraki special agent

This is an enhanched version of the build in Cisco Meraki special agent.

<details><summary>Cisco Meraki special agent</summary>

- adds sections 
  - Appliance Utilization
  - Appliances uplinks
  - Appliances VPNs
  - Cellular devices uplinks
  - Devices uplink info
  - Switch ports status
  - Wireless devices ethernet status
  - Wireless devices SSIDs status
- adds an API cache (can be disabled)
- adds option to use the organisation id as host prefix (usfull to sort the host automatically in organisation specific folders)
- changed include sections option to excludeed sections

</details>
<details><summary>Appliance Utilization</summary>

Monitors the utilization of Meraki appliances (i.e. MX series). 

Includes:
 - Utilization

Default upper levels
- WARN/CRIT: 60%/80%

Sample output

![sample output](img/meraki-appliance-utilization.png?raw=true "Appliance utilization")

</details>

<details><summary>Appliance Uplinks</summary>

Monitors the status of Meraki appliances (i.e. MX series) uplinks.

Includes:
 - uplink state (active, ready, not connected, failed)
 - Network name
 - internal/external IP address
 - IP address assignment method
 - H/A state / role
 - DNS server primary/secondary

Sample output

![sample output](img/meraki-appliance-uplink.png?raw=true "Appliance uplink")

</details>
<details><summary>Appliance VPNs</summary>

Monitor the status VPN of meraki MX appliances.

Includes:
 - state (reachable, unreachable)
 - type (Meraki VPN Peer, third party VPN Peer)
 - mode (hub, )
 - used uplinks
 - local public IP
 - peer IP address (if available)

Sample output

![sample output](img/meraki-appliance-vpn.png?raw=true "Appliance VPN")

</details>

<details><summary>Device Info</summary>

Extends the existing device info inventory plugin by:

 - adding host labels
   - cmk/meraki: This label is set to "yes" for all Meraki devices
   - cmk/meraki/device_type: This label is set to the Meraki product type to which the device belongs, such as "switch" or "wireless".
   - cmk/meraki/net_id: This label is set to the network id the Meraki device belongs to.
   - cmk/meraki/net_name: This label is set to the network name the Meraki device belongs to.
   - cmk/meraki/org_id: This label is set to the organisation id the Meraki device belongs to.
   - cmk/meraki/org_name: This label is set to the organisation name the Meraki device belongs to.
- extending the inventory by adding
   - the manufacturer
   - the network name 
- moving the software part of the inventory to Software -> Applications -> Cisco Meraki Cloud -> Device Info

</details>
<details><summary>Device Status</summary>

Extends the existing plugin by:

- adding upper levels for device last reported
- adding WATO to map device state to monitoring state
- adding a service to monitor power supplys
- adding found power supplys to the inventory

Sample output

![sample output](img/meraki-power-supply.png?raw=true "Power supply")

![sample output](img/meraki-power-supply-inv.png?raw=true "Power supply inventory")

</details>
<details><summary>Device Uplinks</summary>

Adds uplink information under Networking -> Device uplinks to the inventory. This Includes
- Interface name
- Protocol (IPv4/IPv6)
- IP address
- Gateway
- Public address
- Assignment mode

Sample output

![sample output](img/meraki-device-uplinks-inv.png?raw=true "Device uplinks inventory")

</details>
<details><summary>Licenses Overview</summary>

Extends/changes the existing license overview plugin by
- changes Expiration date format from US (%b %d, %Y)  to ISO (%Y-%m-%d)
- changes remaining time (WATO) from Age (Days, Hours, Minutes, Seconds) to Days only
- adds discovery rule for ITEM variant (Org Name/Org ID - this  is the default, Org Name, Org ID) information missing in the item can be shown in the info line (default)
- adds ORG_ID, ORG_NAME to the Details
- adds Metrics for remaining time and # of licensed devices
- adds perfometer with remaining time and # of licensed devices
- adds WATO option for License state is not ok -> default to WARN
- adds licensed devices overview to the inventory

Sample output

![sample output](img/meraki-license-overview.png?raw=true "License overview")

![sample output](img/meraki-license-overview-inv.png?raw=true "License overview inventory")

</details>

<details><summary>Networks</summary>

Adds Meraki Networks (Locations) to the inventory:
- Organisation ID	
- Organisation Name	
- Network ID	
- Network Name	
- Time Zone	
- Product types	
- Tags	
- Notes	
- Enrollment string	
- Is bound to template	
- URL

Sample output

![sample output](img/meraki-networks-inv.png?raw=true "Networks inventory")

</details>

<details><summary>Organisation API</summary>

Monitors the state of the Meraki REST-API per organisation. Includes:

- Status (enabled/disabled)
- Organisation ID
- Organisation Name
- Number of API requests

Sample output

![sample output](img/meraki-org-api.png?raw=true "Organisation API")

![sample output](img/meraki-org-api-detail.png?raw=true "Organisation API")

</details>

<details><summary>Switch Port Status</summary>

Monitors the state of Meraki switch ports. Includes:

- Admin status (enabled/disabled)
- Operational status (connected/not connected)
- Speed in Gbps/Mbps
- Duplex (full/half)
- Number of Clients
- UP-Link (yes/no)
- Traffic counters (in/out)

**Note**: To use the traffic counters, the API cache needs be disabled, and the generation of the perfdata must be enabled in WATO.

Sample output

![sample output](img/meraki-port-status.png?raw=true "Switch port status")

Adds the CDP and LLDP cache to the inventory.

Networking -> CDP cache -> CDP neighbours
- Neighbour name	
- Neighbour port	
- Local port	
- Neighbour address	
- Capabilites	
-	Neighbour platform

Sample output

![sample output](img/meraki-cdp-cache-inv.png?raw=true "CDP cache inventory")

Networking -> LLDP cache -> LLDP neighbours
- Neighbour Name
-	Neighbour Port
-	Local Port	
- Neighbour Address	
- Neighbour Id
- Capabilities
-	Port Description
- System Description

Sample output

![sample output](img/meraki-lldp-cache-inv.png?raw=true "LLDP cache inventory")

</details>

<details><summary>Wireless Devices Status</summary>

Monitors the state of Meraki SSIDs. Includes:
- Name
- State (enabled/disabled)
- Visible (yes/no)
- Broadcasting (yes/no)
- BSSID
- Band (2.4 GHz/5 GHz)
- Channel
- Channel width in MHz
- Power in dBm

Sample output

![sample output](img/meraki-wireless-ssid.png?raw=true "Wireless device SSID status")

</details>

<details><summary>Wirelss Ethernet Status</summary>

Monitors the ethernet port(s) of wireless devices. Includes:

-	Speed in GBit/s
- Duplex (full/half)
- Power mode (full/ )
- AC state (connected/not connected)
- PoE state (connected/not connected)
- PoE standard

Sample output

![sample output](img/meraki-wireless-port.png?raw=true "Wireless device port status")

</details>

<details><summary>Sensor Readings</summary>

Removed, already part of CMK.

</details>

---
### Download
* [Download latest mkp file][PACKAGE]
* [Download the Cisco Merkai SDK mkp file][SDK]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There migth be incompatible changes.
                        
---
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp add PAKAGE_NAME.mkp
mkp enable PAKAGE_NAME VERSION
```

In the Enterprise/Free/Cloud edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to Contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")
